CVE-2006-2922
CVSS5.1
发布时间 :2006-06-09 06:02:00
修订时间 :2011-03-07 21:37:18
NMCO    

[原文]Multiple PHP remote file inclusion vulnerabilities in MiraksGalerie 2.62 allow remote attackers to execute arbitrary PHP code via a URL in the (1) g_pcltar_lib_dir parameter in (a) pcltar.lib.php when register_globals is enabled, and (2) listconfigfile[] parameter in (b) galsecurity.lib.php and (c) galimage.lib.php.


[CNNVD]MiraksGalerie 多个远程文件包含漏洞(CNNVD-200606-197)

        MiraksGalerie 2.62存在多个PHP远程文件包含漏洞,远程攻击者可通过(a)当启用register_globals时在pcltar.lib.php内的(1)g_pcltar_lib_dir参数,和在(b)galsecurity.lib.php和(c)galimage.lib.php内的(2)listconfigfile[]参数中的URL来执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2922
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2922
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-197
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2187
(UNKNOWN)  VUPEN  ADV-2006-2187
http://www.securityfocus.com/archive/1/archive/1/436333/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060607 MiraksGalerie <= 2.62 Multiple Remote command execution
http://secunia.com/advisories/20475
(VENDOR_ADVISORY)  SECUNIA  20475
http://xforce.iss.net/xforce/xfdb/27010
(UNKNOWN)  XF  miraksgalerie-multiple-file-include(27010)
http://www.securityfocus.com/bid/18313
(UNKNOWN)  BID  18313
http://www.osvdb.org/26196
(UNKNOWN)  OSVDB  26196
http://www.osvdb.org/26195
(UNKNOWN)  OSVDB  26195
http://www.osvdb.org/26194
(UNKNOWN)  OSVDB  26194
http://securitytracker.com/id?1016249
(UNKNOWN)  SECTRACK  1016249

- 漏洞信息

MiraksGalerie 多个远程文件包含漏洞
中危 输入验证
2006-06-09 00:00:00 2006-06-09 00:00:00
远程  
        MiraksGalerie 2.62存在多个PHP远程文件包含漏洞,远程攻击者可通过(a)当启用register_globals时在pcltar.lib.php内的(1)g_pcltar_lib_dir参数,和在(b)galsecurity.lib.php和(c)galimage.lib.php内的(2)listconfigfile[]参数中的URL来执行任意PHP代码。

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在边界阻断到4569/UDP端口的入站报文。
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://www.loudhush.ro/opencms/export/sites/default/loudhush/LoudHush1.3.7.dmg.zip

- 漏洞信息

26195
MiraksGalerie galimage.lib.php listconfigfile[0] Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

MiraksGalerie contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to galimage.lib.php script not properly sanitizing user input supplied to the 'listconfigfile[0]' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-06-06 Unknow
2006-06-06 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站